Draft Facebinder/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "Facebinder - очень простой объект, построенный из выбранных лиц других объектов. Он параметрический,...")
(Created page with "==Использование==")
Line 14: Line 14:
[[Image:Draft facebinder example.jpg|400px]]
[[Image:Draft facebinder example.jpg|400px]]


==Использование==
==How to use==


# Select faces on objects (use CTRL to select several faces)
# Select faces on objects (use CTRL to select several faces)

Revision as of 08:13, 29 November 2018

Draft Facebinder

Системное название
Draft Facebinder
Расположение в меню
Черчение → Граневяз
Верстаки
Draft, Arch
Быстрые клавиши
F F
Представлено в версии
-
См. также
Нет

Описание

Facebinder - очень простой объект, построенный из выбранных лиц других объектов. Он параметрический, вы можете соответствующим образом изменить исходный объект и объекты объекта facebinder. Затем его можно использовать, например, для изготовления экструзии из коллекции лиц из других объектов. Типичное использование в архитектурном дизайне, построение объекта, который покрывает несколько кусков стен. Вы можете перемещать и поворачивать facebinder вокруг после его создания, все будет оставаться связанным с оригинальными лицами.

Использование

  1. Select faces on objects (use CTRL to select several faces)
  2. Press the Facebinder, button, or press F, F keys

Scripting

The facebinder tool can be usedin scripts and macros by using the following function:

makeFacebinder ( selectionset )
  • Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
  • Only selected faces are taken into account
  • Returns the newly created object

Example:

import Draft, FreeCADGui
mySelection = FreeCADGui.Selection.getSelectionEx()
Draft.makeFacebinder(mySelection)

Limitations

  • Not available before version 0.14